.\"	$OpenBSD: alarm.3,v 1.12 2013/06/05 03:39:22 tedu Exp $
.\"
.\" Copyright (c) 1980, 1991, 1993, 1994
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.Dd $Mdocdate: June 5 2013 $
.Dt ALARM 3
.Os
.Sh NAME
.Nm alarm
.Nd set signal timer alarm
.Sh SYNOPSIS
.In unistd.h
.Ft unsigned int
.Fn alarm "unsigned int seconds"
.Sh DESCRIPTION
.Bf -symbolic
This interface is made obsolete by
.Xr setitimer 2 .
.Ef
.Pp
The
.Fn alarm
function waits a count of
.Ar seconds
before asserting the terminating signal
.Dv SIGALRM .
When the signal has successfully been caught,
.Fn alarm
returns the amount of time left on the clock.
The maximum number of
.Ar seconds
allowed
is 100000000.
.Pp
If an alarm has been set with
.Fn alarm ,
another call to
.Fn alarm
will supersede the prior call.
The request
.Fn alarm "0"
voids the current
alarm.
.Sh RETURN VALUES
If the call succeeds, any time left remaining from a previous call is returned.
If an error occurs, the value \-1 is returned, and a more precise
error code is placed in the global variable
.Va errno .
.Sh SEE ALSO
.Xr setitimer 2 ,
.Xr sigaction 2 ,
.Xr signal 3 ,
.Xr sigpause 3 ,
.Xr sigvec 3 ,
.Xr sleep 3 ,
.Xr ualarm 3 ,
.Xr usleep 3
.Sh STANDARDS
The
.Fn alarm
function conforms to
.St -p1003.1-90 .
.Sh HISTORY
An
.Fn alarm
function appeared in
.At v7 .
